AddResourceGroupsFormPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.inventory.AddResourceGroupsFormPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.inventory
Class AddResourceGroupsFormPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.hyperic.hq.ui.action.resource.common.inventory.AddResourceGroupsFormPrepareAction

    public class AddResourceGroupsFormPrepareAction

extends org.apache.struts.action.Action

An `Action` that retrieves data from the BizApp to facilitate display of the various pages to add group memeberships for resources.

Field Summary

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`AddResourceGroupsFormPrepareAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Retrieve this data and store it in the specified request parameters: `List` of available `ResourceGroupValue` objects (those not already associated with the resource) in `Constants.AVAIL_RESOURCE_GROUPS_ATTR` `Integer` number of available resource groups in `Constants.NUM_AVAIL_RESOURCE_GROUPS_ATTR` `List` of pending `ResourceGroupValue` objects (those in queue to be associated with the resource) in `Constants.PENDING_RESOURCE_GROUPS_ATTR` `Integer` number of pending resource groups in `Constants.NUM_PENDING_RESOURCE_GROUPS_ATTR`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddResourceGroupsFormPrepareAction

    public AddResourceGroupsFormPrepareAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Retrieve this data and store it in the specified request parameters:
  - `List` of available `ResourceGroupValue` objects (those not already associated with the resource) in `Constants.AVAIL_RESOURCE_GROUPS_ATTR`
  - `Integer` number of available resource groups in `Constants.NUM_AVAIL_RESOURCE_GROUPS_ATTR`
  - `List` of pending `ResourceGroupValue` objects (those in queue to be associated with the resource) in `Constants.PENDING_RESOURCE_GROUPS_ATTR`
  - `Integer` number of pending resource groups in `Constants.NUM_PENDING_RESOURCE_GROUPS_ATTR`

  Overrides:
    `execute` in class `org.apache.struts.action.Action`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.